#version 330
#extension GL_ARB_explicit_uniform_location : enable

in vec2 uv;
out vec4 fragcolor;
uniform sampler2D tex;
uniform float scrollamount;

void main()
{	
    vec4 t = texture(tex, uv.xy+vec2(scrollamount, 0));
    float p = 1;
    if (uv.x > (1/32.0)*15 &&
        uv.x < (1/32.0)*18) p = 0;
    
    fragcolor = t * p * vec4(0.66);
}